Lavalite package that provides analytic management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/analytic`.

    "litecms/analytic": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Analytic\Providers\AnalyticServiceProvider::class,

And also add it to alias

    'Analytic'  => Litecms\Analytic\Facades\Analytic::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\AnalyticTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Analytic\Providers\AnalyticServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Analytic\Providers\AnalyticServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Analytic\Providers\AnalyticServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/analytic/{modulename}

**User**

    http://path-to-route-folder/user/analytic/{modulename}

**Public**

    http://path-to-route-folder/analytics


### API endpoints

**List**

    http://path-to-route-folder/api/user/analytic/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/analytic/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/analytic/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/analytic/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/analytic/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/analytic/{modulename}/{slug}
    METHOD: GET