<?php

namespace Litecms\Analytic\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind TransactionLog workflow validator
        'Litecms\Analytic\Models\TransactionLog' => \Litecms\Analytic\Workflow\TransactionLogValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind TransactionLog workflow actions
        'Litecms\Analytic\Models\TransactionLog' => \Litecms\Analytic\Workflow\TransactionLogAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind TransactionLog workflow notifiers
        'Litecms\Analytic\Models\TransactionLog' => \Litecms\Analytic\Workflow\TransactionLogNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
